﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.RectangleWithPoints
{
    struct Point // érték szerint kezelt pont típus
    {
        public Int32 X;
        public Int32 Y;

        public Point(Int32 x, Int32 y) 
        {
            X = x; Y = y;
        }

        public void Move(Vector v) // pont mozgatása vektorral
        {
            X += v.X;
            Y += v.Y;
        }

        public Double Distance // pont távolságának lekérdezése
        {
            get { return Math.Sqrt(X * X + Y * Y); }
        }
    }
}
